Page MenuHomePhabricator

[Task] Add reference to ontology.owl to the RDF output
Closed, ResolvedPublic1 Story Points

Description

Right now, RDF output (both dumps and Special:EntityData) contains no reference to Wikibase ontology. This needs to be added somehow (owl:imports probably) to both, and docs/ontology.owl should have a working external URL under which it can be found.

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterAdd importing OWL ontology

Event Timeline

Smalyshev raised the priority of this task from to Needs Triage.
Smalyshev updated the task description. (Show Details)
Smalyshev added subscribers: Smalyshev, daniel, mkroetzsch.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 20 2015, 7:34 PM
Restricted Application added a project: Discovery. · View Herald TranscriptJul 10 2015, 12:37 AM

Proposal from Markus:

wikibase:Dump rdf:type owl:Ontology .
wikibase:Dump owl:imports
<URI of the specific version of the Wikibase ontology used> .
Smalyshev moved this task from Needs triage to WDQS on the Discovery board.Jul 14 2015, 10:15 PM

Question: should this URI be versioned?

JanZerebecki set Security to None.
JanZerebecki moved this task from Backlog to Review on the Wikidata-Sprint-2015-09-01 board.

Question: should this URI be versioned?

I personally like versioned ontology URIs (especially after the fuckup with XSD dates), but I think the consensus was to only add a version if we need one - that is, don't add a version for 1.0. See T94747: Make decision on RDF ontology prefix

ksmith moved this task from WDQS to On Sprint Board on the Discovery board.Sep 10 2015, 5:04 PM
daniel triaged this task as Low priority.Sep 11 2015, 10:09 AM

Setting to low- Would be nice to have, but I don't think anything is blocked on this.

JanZerebecki renamed this task from Add reference to ontology.owl to the RDF output to [Task] Add reference to ontology.owl to the RDF output.Sep 11 2015, 11:16 AM
JanZerebecki moved this task from in progress to ready to go on the Wikidata board.
Smalyshev edited a custom field.Sep 11 2015, 7:54 PM

Change 246130 had a related patch set uploaded (by Smalyshev):
Add importing OWL ontology

https://gerrit.wikimedia.org/r/246130

Copy of the question I asked on the patch:

It seems like owl:imports requires an ontology as its subject. Is it correct to claim that the dump is an ontology?

...and if we consider our data dump to be an ontology, then what isn't an ontology?

Pretty much everything is, as I understand - "ontology" is the synonym for "graph" in OWL, so every OWL data set is an ontology, pretty much. But if you really feel uncomfortable with that one, I can drop the ontology part and only leave the OWL part.

...and if we consider our data dump to be an ontology, then what isn't an ontology?

The word "ontology" has different meanings in different contexts. Here, we only mean the notion of "ontology" meant by the term owl:ontology as used in the W3C OWL standard. As Stas says, this is essentially nothing more than a OWL collection of OWL-compatible statements (called "OWL axioms" in the standard). No deeper meaning involved. See http://www.w3.org/TR/owl2-syntax/#Ontologies for a definition.

@mkroetzsch Looking at the link, it seems to me we'd (trivially) meet these requirements. But I'm not sure about the fine details, e.g. regarding the version IRI. But if you are sure we are meeting the formal requirements, fine with me. We should then probably explicitly state that the dump is an ontology, though...

Change 246130 merged by jenkins-bot:
Add importing OWL ontology

https://gerrit.wikimedia.org/r/246130

Looking at the link, it seems to me we'd (trivially) meet these requirements.

Yes, that's what I meant. :-)

But I'm not sure about the fine details, e.g. regarding the version IRI. But if you are sure we are meeting the formal requirements, fine with me.

The version IRI is an optional aspect that we can include if we have a good one (I guess we might). We should give an ontology IRI and say that it is of type owl:ontology. Other bits of information about this ontology can be added, but there are not many requirements there. There is also not so much said in the standard about how to version ontologies in general, so this is something left to us.

We should then probably explicitly state that the dump is an ontology, though...

Not sure on which level you mean this. In RDF or in the user documentation? I thought that this discussion was about stating this in RDF, and this would already be "explicit". I am not sure it needs much documentation elsewhere. Mainly, we are putting this in to have a place where we can have the license (user requested feature) and other meta information (like export date and imported version of the Wikibase ontology). I agree that we should mention these features in the documentation.

Smalyshev closed this task as Resolved.Nov 23 2015, 3:35 PM
Smalyshev claimed this task.